[arch-commits] Commit in qt3/trunk (PKGBUILD qt3-png14.patch)

Jan de Groot jgc at archlinux.org
Sat Jan 16 21:19:24 UTC 2010


    Date: Saturday, January 16, 2010 @ 16:19:24
  Author: jgc
Revision: 63258

upgpkg: qt3 3.3.8-14
    Rebuild for libpng14 and libjpeg8

Added:
  qt3/trunk/qt3-png14.patch
Modified:
  qt3/trunk/PKGBUILD

-----------------+
 PKGBUILD        |   11 +++++++----
 qt3-png14.patch |   33 +++++++++++++++++++++++++++++++++
 2 files changed, 40 insertions(+), 4 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2010-01-16 20:51:42 UTC (rev 63257)
+++ PKGBUILD	2010-01-16 21:19:24 UTC (rev 63258)
@@ -4,22 +4,23 @@
 
 pkgname=qt3
 pkgver=3.3.8
-pkgrel=13
+pkgrel=14
 pkgdesc="The QT gui toolkit."
 arch=(i686 x86_64)
 license=('GPL')
 url="http://www.trolltech.com/products/qt/index.html"
 pkgfqn=qt-x11-free-${pkgver}
 install=qt.install
-depends=('libpng' 'libxmu' 'libxcursor' 'libxinerama' 'mesa' \
-	 'libxft' 'libxrandr' 'libmng>=1.0.10-2')
+depends=('libpng>=1.4.0' 'libxmu' 'libxcursor' 'libxinerama' 'mesa' \
+	 'libxft' 'libxrandr' 'libmng>=1.0.10-3')
 makedepends=('mysql' 'postgresql>=8.2.3' 'unixodbc' 'sqlite3')
 optdepends=('libmysqlclient' 'postgresql-libs' 'unixodbc')
-source=(ftp://ftp.trolltech.com/qt/source/${pkgfqn}.tar.bz2 qt.profile \
+source=(ftp://ftp.trolltech.com/qt/source/${pkgfqn}.tar.bz2 qt3-png14.patch qt.profile \
         qt-copy-kde-patches.tar.bz2 qt-patches.tar.bz2 utf8-bug-qt3.diff \
 	qt-font-default-subst.diff mysql.patch eastern_asian_languagues.diff qt-odbc.patch)
 options=(!libtool)
 md5sums=('cf3c43a7dfde5bfb76f8001102fe6e85'
+         '1dc671df42b9030dbdf68bb61cd3375e'
          'f72d1eb4eb49b9a9467c1f6035194266'
          'f2a2dbdbfee9422c90efc3ef3f86197c'
          '2f00e5c0c1e2c2a23dddc982cd79f3e0'
@@ -57,6 +58,8 @@
   patch -p1 -i ${srcdir}/eastern_asian_languagues.diff || return 1
   # fix build problem against new unixODBC
   patch -p1 -i $srcdir/qt-odbc.patch || return 1
+
+  patch -p0 -i $srcdir/qt3-png14.patch || return 1
   # start compiling qt
   sed -i 's|-cp -P -f|-cp -L -f|' qmake/Makefile.unix
   rm -rf doc/html examples tutorial

Added: qt3-png14.patch
===================================================================
--- qt3-png14.patch	                        (rev 0)
+++ qt3-png14.patch	2010-01-16 21:19:24 UTC (rev 63258)
@@ -0,0 +1,33 @@
+--- src/kernel/qpngio.cpp.orig	2010-01-16 22:02:41.000000000 +0100
++++ src/kernel/qpngio.cpp	2010-01-16 22:03:56.000000000 +0100
+@@ -159,7 +159,7 @@
+ 		image.setColor( i, qRgba(c,c,c,0xff) );
+ 	    }
+ 	    if ( png_get_valid(png_ptr, info_ptr, PNG_INFO_tRNS) ) {
+-		const int g = info_ptr->trans_values.gray;
++		const int g = info_ptr->trans_color.gray;
+ 		if (g < ncols) {
+ 		    image.setAlphaBuffer(TRUE);
+ 		    image.setColor(g, image.color(g) & RGB_MASK);
+@@ -187,7 +187,7 @@
+ 		    info_ptr->palette[i].red,
+ 		    info_ptr->palette[i].green,
+ 		    info_ptr->palette[i].blue,
+-		    info_ptr->trans[i]
++		    info_ptr->trans_alpha[i]
+ 		    )
+ 		);
+ 		i++;
+@@ -321,9 +321,9 @@
+ png_get_valid(png_ptr, info_ptr, PNG_INFO_tRNS)
+     if (image.depth()==32 && png_get_valid(png_ptr, info_ptr, PNG_INFO_tRNS)) {
+ 	QRgb trans = 0xFF000000 | qRgb(
+-	      (info_ptr->trans_values.red << 8 >> bit_depth)&0xff,
+-	      (info_ptr->trans_values.green << 8 >> bit_depth)&0xff,
+-	      (info_ptr->trans_values.blue << 8 >> bit_depth)&0xff);
++	      (info_ptr->trans_color.red << 8 >> bit_depth)&0xff,
++	      (info_ptr->trans_color.green << 8 >> bit_depth)&0xff,
++	      (info_ptr->trans_color.blue << 8 >> bit_depth)&0xff);
+ 	for (uint y=0; y<height; y++) {
+ 	    for (uint x=0; x<info_ptr->width; x++) {
+ 		if (((uint**)jt)[y][x] == trans) {




More information about the arch-commits mailing list